/****************************************************************************
 ****************************************************************************
 **
 **   File: help.c
 **
 **   Description: Creates help utilities for the Xstation diagnostic monitor.
 **
 ****************************************************************************
 ****************************************************************************/

/************************************************************
*                                                           *
*  Revision history:                                        *
*                                                           *
*  02/09/91  Gary Goldman, IBM Austin   Initial Version     *
*                                                           *
*************************************************************/

#include "xmonitor.h"

/*****************************************************************************
 *                        Globals
 *****************************************************************************/
int help_index = 0;

/***************************************************************************
 * Create all help widgets and fill with text from external files.
 ***************************************************************************/
void create_help()
{
	char *help_text;
    char *buff, *line , *delimiter = "\"";
    Widget frame, widget, button;
    Arg panel_arg, frame_arg, label_args[3], button_args[8];
    XmString label;
    int i, ilen, n, nsav[2];

    /* get the text from external files */
    buff = read_file("help.txt");
    line = strtok (buff, delimiter);
    ilen = strlen (line);
    help_text = (char*) calloc(1, ilen+1);
    strcpy(help_text, line);
/*
    line = strtok(NULL, delimiter);
    line = strtok(NULL, delimiter);
    ilen = strlen(line);
    step_help_text = (char*) calloc(1, ilen+1);
    strcpy(step_help_text, line);
    line = strtok(NULL, delimiter);
    line = strtok(NULL, delimiter);
    ilen = strlen(line);
    interval_help_text = (char*) calloc(1, ilen+1);
    strcpy(interval_help_text, line);
*/
	XtSetArg(frame_arg, XmNshadowType, XmSHADOW_IN);

	n = 0;
   	XtSetArg(label_args[n], XmNfontList, text_font); n++;
    XtSetArg(label_args[n], XmNalignment, XmALIGNMENT_BEGINNING); n++;
	nsav[0] = n;

  	n = 0;
    label = XmStringLtoRCreate("Close", XmSTRING_DEFAULT_CHARSET);
    XtSetArg(button_args[n], XmNlabelString, label); n++;
	XtSetArg(button_args[n], XmNshowAsDefault, 1); n++;
    XtSetArg(button_args[n], XmNtopAttachment, XmATTACH_WIDGET); n++;
    XtSetArg(button_args[n], XmNtopOffset, MARGIN); n++;
    XtSetArg(button_args[n], XmNleftAttachment, XmATTACH_FORM); n++;
    XtSetArg(button_args[n], XmNleftOffset, MARGIN); n++;
    XtSetArg(button_args[n], XmNbottomOffset, MARGIN); n++;
	nsav[1] = n;
	for (i = 0; i < help_index; i++) {
	    label = XmStringLtoRCreate(help[i].title, XmSTRING_DEFAULT_CHARSET);
    	XtSetArg(panel_arg, XmNdialogTitle, label);
    	help[i].dialog = XmCreateFormDialog(toplevel_widget,
                                    "HELP_DIALOG", &panel_arg, 1);


    	frame = XmCreateFrame(help[i].dialog, "HELP_FRAME", &frame_arg, 1);
    	XtManageChild(frame);

	    n = nsav[0];
    	label = XmStringLtoRCreate(help_text, XmSTRING_DEFAULT_CHARSET);
    	XtSetArg(label_args[n], XmNlabelString, label); n++;
    	widget = XmCreateLabelGadget(frame, "HELP_LABEL", label_args, n);
    	XtManageChild(widget);

		n = nsav[1];
    	XtSetArg(button_args[n], XmNtopWidget, frame); n++;
    	button = XmCreatePushButtonGadget(help[i].dialog, "HELP_CLOSE", 
										  button_args, n);
    	XtManageChild(button);

	    XtSetArg(panel_arg, XmNdefaultButton, button);
		XtSetValues(help[i].dialog, &panel_arg, 1);
	}
}

/***************************************************************************
 * Display help widget dialog.
 ***************************************************************************/
void activate_help(w, tag, reason)
    Widget w;
    int tag;
    unsigned long *reason;
{
    XtManageChild(help[tag].dialog);
}
