/****************************************************************************
 ****************************************************************************
 **
 **   File: messages.c
 **
 **   Description: Creates message widgets for the Xstation diagnostic monitor.
 **
 ****************************************************************************
 ****************************************************************************/

/************************************************************
*                                                           *
*  Revision history:                                        *
*                                                           *
*  02/09/91  Gary Goldman, IBM Austin   Initial Version     *
*                                                           *
*************************************************************/

#include "xmonitor.h"

/***************************************************************************
 * Create miscellanous message dialogs used throughout.
 ***************************************************************************/
void create_messages()
{
	Widget widget;
    Arg args[10];
	XmString label;
	int n;

	/* Monitoring in progress dialog */
	n = 0;
	label = XmStringLtoRCreate("Monitoring", XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNdialogTitle, label); n++;
	label = XmStringLtoRCreate("Monitoring in Progress", 
							   XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNmessageString, label); n++;
	label = XmStringLtoRCreate("Close", XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNokLabelString, label); n++;
	XtSetArg(args[n], XmNdefaultButtonType, XmDIALOG_CANCEL_BUTTON); n++;
	XtSetArg(args[n], XmNautoUnmanage, FALSE); n++;
	XtSetArg(args[n], XmNbackground, white); n++;
	monitor_in_progress_dialog = XmCreateWorkingDialog(toplevel_widget, 
								 "MONITORING_DIALOG", args, n);
	XtAddCallback(monitor_in_progress_dialog, XmNcancelCallback, stop_monitor,
				  0);
	XtAddCallback(monitor_in_progress_dialog, XmNokCallback, stop_monitor, 1);

	/* Monitor sample dialog (manual mode) */
	n = 0;
	label = XmStringLtoRCreate("Monitor Sample", XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNdialogTitle, label); n++;
	label = XmStringLtoRCreate(
		"Please Press on the SAMPLE\nbutton to Request Statistics",
		 XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNmessageString, label); n++;
	label = XmStringLtoRCreate("SAMPLE", XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNokLabelString, label); n++;
	XtSetArg(args[n], XmNautoUnmanage, FALSE); n++;
	XtSetArg(args[n], XmNbackground, white); n++;
	monitor_sample_dialog = XmCreateMessageDialog(toplevel_widget, 
							"SAMPLE_DIALOG", args, n);
	XtAddCallback(monitor_sample_dialog, XmNokCallback, sample_stats, NULL);
	XtAddCallback(monitor_sample_dialog, XmNcancelCallback, stop_monitor, 2);

	/* Set client filter dialog */
	n = 0;
	label = XmStringLtoRCreate("Set Client Filter", XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNdialogTitle, label); n++;
	label = XmStringLtoRCreate(
		"Please select the clients of interest\nby clicking in their window",
		 XmSTRING_DEFAULT_CHARSET);
	XtSetArg(args[n], XmNmessageString, label); n++;
	XtSetArg(args[n], XmNautoUnmanage, FALSE); n++;
	XtSetArg(args[n], XmNbackground, white); n++;
	client_filter_dialog = XmCreateMessageDialog(toplevel_widget, 
												"CFILTER_DIALOG", args, n);
}
