/************************************************************************
 *
 * Name : 	xsstat.h
 *
 * Description : This include file defines stuff which is shared by
 *		 the Xlib library routine and the client app. Probably
 *		 would be better to shove this into Xlib.h but this 
 *		 approach seems safer.
 *
 * Original Code : Syd Logan AGE 8/23/90
 * Major Upgrade : Jung Hamel AGE 9/25/91
 *
 ************************************************************************/

typedef struct _clientreq
{
	long	ClientId;
	unsigned char Xrequest;
} CLIENTREQ;

/* memory status flag value */
#define MEMORY_OKEY      0
#define MEMORY_WARNING_FIRST      1
#define MEMORY_WARNING_ALERT      2
#define MEMORY_WARNING_CRITICAL      3

struct SSTATinfo
{
	long	GCCount;
	long	WinCount;
	long	PixmapCount;
	long	TotMem;
	long	FreeMem;
	long	BigFrag;
        long	FragCount;
	long	NumClientReq;
	long	CachableTotMem;
	long	CachableFreeMem;
	long	CachableBigFrag;
	long	CachableFragCount;
	long	NonCachableTotMem;
	long	NonCachableFreeMem;
	long	NonCachableBigFrag;
	long	NonCachableFragCount;
	long	MemoryStatus;
	long	SafetyZoneSize;
	long	TotalSwappedPixmap;
	long	TotalKickedOutFont;
	long    MinSwappableSpace;
	CLIENTREQ *ClientReq;
};
typedef struct 
{
	CARD32	GCCount;
	CARD32	WinCount;
	CARD32	PixmapCount;
	CARD32	TotMem;
	CARD32	FreeMem;
	CARD32	BigFrag;
	CARD32	FragCount;
	CARD32	CachableTotMem;
	CARD32	CachableFreeMem;
	CARD32	CachableBigFrag;
	CARD32	CachableFragCount;
	CARD32	NonCachableTotMem;
	CARD32	NonCachableFreeMem;
	CARD32	NonCachableBigFrag;
	CARD32	NonCachableFragCount;
	CARD32	NumClientReq;
	CARD32	MemoryStatus;
	CARD32	SafetyZoneSize;
	CARD32	TotalSwappedPixmap;
	CARD32	TotalKickedOutFont;
	CARD32	MinSwappableSpace;
} xGetServerStatReply;
/* Status mask bits */
#define   GCCOUNT		0x1
#define   WINCOUNT		0x2
#define	  PIXMAPCOUNT  		0x4
#define   TOTALMEMORY		0x8
#define   FREEMEMORY   		0x10
#define   BIGGESTFRAG  		0x20
#define   FRAGCOUNT		0x40
#define   NUMCLIENTREQ 		0x80
#define   CACHABLETOTMEM  	0X100
#define   CACHABLEFREEMEM 	0X200
#define   CACHABLEBIGFRAG 	0X200
#define   CACHABLEFRAGCOUNT 	0X200
#define   NONCACHABLETOTMEM  	0X100
#define   NONCACHABLEFREEMEM 	0X200
#define   NONCACHABLEBIGFRAG 	0X200
#define   NONCACHABLEFRAGCOUNT 	0X200

/* Memory Warning mask bits */
#define	 SWITCHWARNING		0x1
#define  CHANGEMEMORYSIZE       0x2
#define  SETMINCACHABLESIZE     0x4


extern short int GCCount;
extern short int WindowCount;
extern short int PixmapCount;
extern long TotalMemory;
extern long FreeMemory;
extern long BiggestFrag;
extern int FragCount;
extern int NumClientReq;
extern CLIENTREQ *ClientReq;
extern int MaxClientReq;
extern long PagableSize;
extern long NonPagableSize;
